SXPM(1)

NAME
sxpm - Show an XPM (X PixMap) file and/or convert XPM2 files to XPM version 3.

SYNOPSIS
sxpm [-d displayname] [-g geometry] [-hints] [-icon filename] [-s symbol color_name] [-p symbol pixel_value] [-plaid | filename | -] [-o filename | -o -] [-nod] [-rgb filename] [-c] [-v]

DESCRIPTION

The sxpm program can be used to view any XPM (version 2 or 3) file and/or to convert a file from XPM2 to XPM version 3. If sxpm is run without any option specified, the usage is displayed. If no geometry is specified, the show window will have the size of the read pixmap. Pressing the key Q in the window will quit the program.

OPTIONS

-d display
    Specifies the display to connect to.

-g geom
    Window geometry (default is pixmap's size).

-hints
    Set ResizeInc for window.

-icon filename
    Set icon to pixmap created from the file filename.

-s symbol colorname
    Overwrite default color to symbol to colorname.

-p symbol pixelvalue
    Overwrite default color to symbol to pixelvalue.

-mono
    Use the colors specified for a monochrome visual.

-grey4
    Use the colors specified for a 4 color greyscale visual.

-grey
    Use the colors specified for a greyscale visual.

-color
    Use the colors specified for a color visual.

-closecolors
    Try to use "close colors" before reverting to other visuals.

-plaid
    Show the plaid pixmap which is stored as data.

filename
    Read from the file filename and from standard input if filename is '-'. If no input is specified sxpm reads from standard input.

-o filename
    Write to the file filename (overwrite if it already exists) and to standard output if filename is '-'.

-nod
    Do not display the pixmap in a window. (Useful when using as converter)

-rgb filename
    Search color names in the file filename and write them out instead of the rgb values.

-c  To use a private colormap.

-v  Verbose - to print out extensions (stderr).

KNOWN BUGS
When converting a file from XPM2 to XPM version 3, if several pixels (symbols) get the same color only one will be in the file written out.
Some window managers may not accept a pixmap which is not a bitmap as icon because this does not respect ICCCM, many of the well known ones will accept it though.

AUTHOR
Arnaud Le Hors (lehors@sophia.inria.fr)
Bull Research France
Copyright (C) 1990-93 by Groupe Bull.